mscorlib 2.0.0.0 System.Collections.Generic.IEnumerable<T> To be added.

Defines size and copying methods for all generic collections.

This interface is the base interface for classes in the namespace.

This interface extends ; and are more specialized interfaces that extend .

Some collections that limit access to their elements, like the class and the class, directly implement the interface.

- Method
  System.Void `` The item to add to the current collection.

  Adds an item to the current collection.

  To be added. The current collection is read-only. 2.0.0.0
- Method
  System.Void

  Removes all items from the current collection.

  is set to zero.

  The current collection is read-only. 2.0.0.0
- Method
  System.Boolean `` The object to locate in the current collection.

  Determines whether the current collection contains a specific value.

  , if item is found in the current collection; otherwise, .

  Implementations of this interface can vary in how they determine equality of objects; for example, some types use the default comparer, while others allow the user to specify the comparer to be used.

  2.0.0.0
- Method
  System.Void `` `` A one-dimensional, zero-based that is the destination of the elements copied from the current instance. To be added.

  Copies the elements of the current collection to a , starting at the specified index.

  This operation overwrites the current contents of the array.

  is . < 0.

  has more than one dimension.

  -or-

  is greater than or equal to .Length.

  -or-

  The sum of and the of the current instance is greater than .Length.

  -or-

  Type is not assignable to the element type of the destination array.

  2.0.0.0
- Property
  System.Int32

  Gets the number of elements contained in the current instance.

  A that indicates the number of elements contained in the current instance.

  This property is read-only.

  2.0.0.0
- Property
  System.Boolean

  Indicates whether the current collection is read-only.

  , if the current collection is read-only; otherwise, .

  This property is read-only.

  A collection that is read-only does not allow the addition, removal, or modification of elements after the collection is created.

  2.0.0.0
- Method
  System.Boolean `` The item to remove from the current collection.

  Removes the first occurrence of an item from the current collection.

  , if was removed from the current collection; if was not found in the current collection.

  If was found, but cannot be removed for some reason, some unspecified exception is thrown.

  Implementations of this interface can vary in how they determine equality of objects; for example, some types use the default comparer, while others allow the user to specify the comparer to be used.

  The current collection is read-only. 2.0.0.0